io.netty.handler.codec.mqtt

## Class MqttPublishVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttPublishVariableHeader

    public final class MqttPublishVariableHeader
    extends Object

Variable Header of the `MqttPublishMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttPublishVariableHeader(String topicName, int packetId)`
`MqttPublishVariableHeader(String topicName, int packetId, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `messageId()` Deprecated. Use `packetId()` instead.
`int` `packetId()`
`MqttProperties` `properties()`
`String` `topicName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttPublishVariableHeader

    public MqttPublishVariableHeader(String topicName,
                                     int packetId)

#### MqttPublishVariableHeader

    public MqttPublishVariableHeader(String topicName,
                                     int packetId,
                                     MqttProperties properties)

### Method Detail

#### topicName

    public String topicName()

#### messageId

    @Deprecated
    public int messageId()

Deprecated. Use `packetId()` instead.

#### packetId

    public int packetId()

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`